|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMenuItem

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMenuItem class reference

### Public Functions

- QMenuItem ()
- int id () const
- int signalValue () const

- 11 public functions inherited from QAction
- 8 public functions inherited from QObject

## Member Function Documentation

### QMenuItem::QMenuItem ()

Constructs a new menu item.

### int QMenuItem::id () const

Returns the menu item's ID.

### int QMenuItem::signalValue () const

Returns the signal value for the menu item.